<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Bicicletario.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pm.bibicletario.bicicleta</a> &gt; <a href="index.source.html" class="el_package">pm.api.project.bicicleta</a> &gt; <span class="el_source">Bicicletario.java</span></div><h1>Bicicletario.java</h1><pre class="source lang-java linenums">package pm.api.project.bicicleta;

import java.util.Map;

import io.javalin.Javalin;
import io.javalin.plugin.openapi.OpenApiOptions;
import io.javalin.plugin.openapi.OpenApiPlugin;
import io.javalin.plugin.openapi.ui.ReDocOptions;
import io.javalin.plugin.openapi.ui.SwaggerOptions;
import io.swagger.v3.oas.models.info.Info;

/**
 * Bicicletario
 */
<span class="fc" id="L15">public class Bicicletario {</span>

<span class="fc" id="L17">    private static JDBCMock jdbc = new JDBCMock();</span>

    public Bicicleta getBicicleta(String value) {
        
<span class="fc" id="L21">        Bicicleta bike = null;</span>
        try {
<span class="fc" id="L23">            bike = jdbc.getData(value, &quot;Bicicleta&quot;);</span>
<span class="nc" id="L24">        } catch (Exception e) {</span>
<span class="nc" id="L25">            System.out.println(&quot;Erro:&quot;+e);</span>
<span class="fc" id="L26">        }</span>
<span class="fc" id="L27">        return  bike;</span>
    }

    public Boolean updateBicicleta(Bicicleta bicicleta) {
<span class="fc" id="L31">        return jdbc.updateData(bicicleta.getId(), &quot;Bicicleta&quot;, bicicleta);    </span>
    }

    public Boolean removeBicicleta(String value) {
<span class="fc" id="L35">        return jdbc.deleteData(value, &quot;Bicicleta&quot;);</span>
    }

    public Boolean getStatusBicicleta(String value) {
<span class="fc" id="L39">        Bicicleta bike = getBicicleta(value);</span>
<span class="fc" id="L40">        return bike.getEmUso(); </span>
    }

    public Boolean updateStatusBicicleta(String value, Boolean status) {
<span class="nc" id="L44">        Bicicleta bike = getBicicleta(value);</span>
<span class="nc" id="L45">        bike.setEmUso(status); </span>
<span class="nc" id="L46">       return  jdbc.updateData(bike.getId(), &quot;Bicicleta&quot;, bike);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>